claw::meta::type_list_find< T, List > Struct Template Reference

Check if a type is present in a type_list. More...

`#include <type_list.hpp>`

## Public Types

enum | { result }

## Detailed Description

template<typename T, typename List>
struct claw::meta::type_list_find< T, List >

Check if a type is present in a type_list.

Template paramters

- T The type to find.
- List The list in which we search the type.

Type requirements

- List is either no_type, either a type_list<> ended with no_type.

Author
  Julien Jorge

Definition at line 377 of file type_list.hpp.

## Member Enumeration Documentation

## anonymous enum

template<typename T, typename List>

anonymous enum

Definition at line 379 of file type_list.hpp.

The documentation for this struct was generated from the following file:

- meta/type_list.hpp